# $Revision: 1.22 $, $Date: 2007/02/13 11:03:46 $
Summary:	BB - the portable demo
Summary(pl.UTF-8):	BB - przenośne demo
Name:		bb
Version:	1.3rc1
Release:	7
License:	GPL
Group:		Applications/Terminal
Source0:	http://dl.sourceforge.net/aa-project/%{name}-%{version}.tar.gz
# Source0-md5:	1ae5b742fbe654ba51c31832cf7e81fd
Patch0:		%{name}-typos.patch
Patch1:		%{name}-regparm.patch
URL:		http://aa-project.sourceforge.net/bb/
BuildRequires:	aalib-devel >= 1.4
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libmikmod-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
BB is an high quality audio-visual demonstration for your text
terminal. It is portable demo, so you can run it on plenty of
operating systems.

%description -l pl.UTF-8
BB jest wysokiej jakości demem z grafiką i dźwiękiem, działającym na
terminalu tekstowym. Jest przenośne - działa na wielu systemach
operacyjnych.

%prep
%setup -q -n %{name}-1.3.0
%patch0 -p1
%patch1 -p1

%build
rm -f missing
cp -f /usr/share/automake/config.sub .
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%{_datadir}/bb
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bb.spec,v $
Revision 1.22  2007/02/13 11:03:46  qrczak
- bb-regparm.patch: gcc needs regparm on function definition too.
- Release 7

Revision 1.21  2007/02/12 21:23:48  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:39  baggins
- converted to UTF-8

Revision 1.19  2005/09/22 10:34:24  qboosh
- release 6 for new slang

Revision 1.18  2004/08/10 19:04:35  averne
- rel 5

Revision 1.17  2004/08/10 18:56:04  averne
- refresh config.sub

Revision 1.16  2003/08/06 16:33:37  kloczek
- może wrescie ktoś wykasuje to konto ?

Revision 1.15  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.14  2003/06/26 18:06:01  ankry
- typo

Revision 1.13  2003/06/26 15:08:11  gotar
- added bb-typos.patch,
- release 4.

Revision 1.12  2003/05/28 12:58:47  malekith
- massive attack: source-md5

Revision 1.11  2003/05/25 05:45:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.10  2003/04/20 10:47:57  qboosh
- use http for sourceforge

Revision 1.9  2002/09/06 19:29:15  kloczek
- release 3: use new %doc.

Revision 1.8  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/04/25 15:52:08  arturs
fixed a small typo

Revision 1.6  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.5  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:12:29  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/11/14 23:50:04  kloczek
- release 2,
- regenerate ac/am files.

Revision 1.2  2001/11/14 11:43:34  filon
- changed to %%%configure2_13, to make it build

Revision 1.1  2001/06/06 01:24:20  qboosh
- new spec
